send test email
POST /api/v1/workspaces/{workspace_id}/test_emails
POST
/api/v1/workspaces/{workspace_id}/test_emails
Sends a test email.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspace_id
required
integer
Workspace ID
Request Body
Section titled “Request Body ”object
recipient_ids
required
IDs of users to send the test email to.
Array<integer>
test_list_ids
IDs of test lists to send the test email to.
Array<integer>
conditional_selections
required
Conditional branch selections to use when rendering the test email.
Array<object>
object
conditional_id
required
integer
Example
12345 mode
required
string
Example
branch branch_key
string
Example
gold email_id
required
integer
locale
required
string
Example
en-USResponses
Section titled “ Responses ”Successful
object
id
required
integer
Example
12345 email_id
required
integer
Example
12345 locale
string
Example
en-US organization_id
required
integer
Example
12345 recipient_ids
required
Array<integer>
test_list_ids
required
Array<integer>
conditional_selections
required
Array<object>
object
conditional_id
required
integer
Example
12345 mode
required
string
Example
branch branch_key
string
Example
gold created_at
required
string format: date-time
Example
2023-08-23T10:30:00.000Z updated_at
required
string format: date-time
Example
2023-08-23T10:30:00.000ZUnauthorized
object
message
required
string
Example
Record not foundForbidden
object
message
required
string
Example
Record not foundUnprocessable Entity
object
message
required
string
Example
Failed to save errors
required
object
key
additional properties
Array<string>
Example
{ "errors": { "username": [ "Username is required.", "Username must be unique." ], "email": [ "Invalid email format." ] }}